Search messages
GET
/api/messages/search
const url = 'https://api.getvespy.com/api/messages/search?channel=in_app&participantType=tenant';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.getvespy.com/api/messages/search?channel=in_app&participantType=tenant' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”search
string
channel
string
participantType
string
from
string format: date-time
to
string format: date-time
limit
integer
offset
integer
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
results
required
Array<object>
object
conversationStatus
required
string
conversationSubject
required
string
message
required
object
body
required
string
channel
required
string
conversationId
required
string format: uuid
createdAt
required
string format: date-time
emailMessageId
required
string
externalId
required
string
fromAddress
required
string
id
required
string format: uuid
metadata
required
object
key
additional properties
any
organizationId
required
string format: uuid
senderId
required
string format: uuid
senderName
required
string
senderType
required
string
smsSid
required
string
toAddresses
required
Array<string>
participantId
required
string format: uuid
participantName
required
string
participantType
required
string
total
required
integer
Example
{ "results": [ { "conversationStatus": "open", "message": { "channel": "in_app", "senderType": "staff" }, "participantType": "tenant" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}